aboutsummaryrefslogtreecommitdiff
path: root/common/xbps-src/libexec/build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'common/xbps-src/libexec/build.sh')
-rwxr-xr-xcommon/xbps-src/libexec/build.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/common/xbps-src/libexec/build.sh b/common/xbps-src/libexec/build.sh
index 1f751ca13b9..9908b336957 100755
--- a/common/xbps-src/libexec/build.sh
+++ b/common/xbps-src/libexec/build.sh
@@ -43,6 +43,10 @@ if [ "$PKGNAME" != "$XBPS_TARGET_PKG" -o -z "$XBPS_SKIP_DEPS" ]; then
install_pkg_deps $PKGNAME $XBPS_TARGET_PKG pkg $XBPS_CROSS_BUILD $XBPS_CROSS_PREPARE || exit $?
fi
+if [ -z "$XBPS_CROSS_PREPARE" ]; then
+ install_cross_pkg $XBPS_CROSS_BUILD || exit $?
+fi
+
# Fetch distfiles after installing required dependencies,
# because some of them might be required for do_fetch().
$XBPS_LIBEXECDIR/xbps-src-dofetch.sh $SOURCEPKG $XBPS_CROSS_BUILD || exit 1